javax.resource.spi.work

## Class WorkRejectedException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.resource.ResourceException
      - - javax.resource.spi.work.WorkException
        - - javax.resource.spi.work.WorkRejectedException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    RetryableWorkRejectedException

      public class WorkRejectedException
      extends WorkException

  This exception is thrown by a `WorkManager` to indicate that a submitted `Work` instance has been rejected. The rejection could be due to internal factors or start timeout expiration.

  This could be thrown only before the execution of a `Work` instance starts (that is, before a thread has been allocated for `Work` execution).

  An associated error code indicates the nature of the error condition. Possible error codes are `WorkException.START_TIMED_OUT`, `WorkException.INTERNAL` or `WorkException.UNDEFINED`.

  Version:
    1.0
  Author:
    Ram Jeyaraman
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class javax.resource.spi.work.WorkException

      `INTERNAL, START_TIMED_OUT, TX_CONCURRENT_WORK_DISALLOWED, TX_RECREATE_FAILED, UNDEFINED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkRejectedException()` Constructs a new instance with null as its detail message.
    `WorkRejectedException(java.lang.String message)` Constructs a new instance with the specified detail message.
    `WorkRejectedException(java.lang.String message, java.lang.String errorCode)` Constructs a new throwable with the specified detail message and an error code.
    `WorkRejectedException(java.lang.String message, java.lang.Throwable cause)` Constructs a new throwable with the specified detail message and cause.
    `WorkRejectedException(java.lang.Throwable cause)` Constructs a new throwable with the specified cause.

  - ### Method Summary

    - ### Methods inherited from class javax.resource.ResourceException

      `getErrorCode, getLinkedException, getMessage, setErrorCode, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkRejectedException

          public WorkRejectedException()

      Constructs a new instance with null as its detail message.

    - #### WorkRejectedException

          public WorkRejectedException(java.lang.String message)

      Constructs a new instance with the specified detail message.
      Parameters:
        `message` - the detail message.

    - #### WorkRejectedException

          public WorkRejectedException(java.lang.Throwable cause)

      Constructs a new throwable with the specified cause.
      Parameters:
        `cause` - a chained exception of type `Throwable`.

    - #### WorkRejectedException

          public WorkRejectedException(java.lang.String message,
                                       java.lang.Throwable cause)

      Constructs a new throwable with the specified detail message and cause.
      Parameters:
        `message` - the detail message.
        `cause` - a chained exception of type `Throwable`.

    - #### WorkRejectedException

          public WorkRejectedException(java.lang.String message,
                                       java.lang.String errorCode)

      Constructs a new throwable with the specified detail message and an error code.
      Parameters:
        `message` - a description of the exception.
        `errorCode` - a string specifying the vendor specific error code.

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)